Skip to content

List all forms

Request

List all forms.

Security
oauth2_client_credentials or oauth2_authorization_code
Query
parentstring(parent)required

Required. The parent workspace for which to list forms. Format: forms/ Format: workspaces/{workspace}

pageSizeinteger, (int32)(page_size)

Optional. The maximum number of forms to return. The service may return fewer than this value. If unspecified, at most 50 forms will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageTokenstring(page_token)

Optional. A page token, received from a previous ListWorkspaceForms call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListWorkspaceForms must match the call that provided the page token.

skipinteger, (int32)(skip)

Optional. The number of forms to skip before starting to collect the result set.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/forms?parent=workspaces%2Faml-monitoring-ws-456&pageSize=0&pageToken=string&skip=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
formsArray of objects(forms)

The list of workspace forms.

nextPageTokenstring(next_page_token)

A token to retrieve the next page of results, or empty if there are no more results in the list.

totalSizeinteger, (int32)(total_size)

The total number of forms matching the request.

Response
{ "forms": [ {} ], "nextPageToken": "string", "totalSize": 0 }